Package org.eclipse.net4j.util.event

## Class Event

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event

- All Implemented Interfaces:
    `java.io.Serializable`, `IEvent`
  Direct Known Subclasses:
    `ContainerEvent`, `LifecycleEvent`, `NotifyingMonitor.ProgressEvent`, `OptionsEvent`, `RollingLog.RollingLogEvent`, `SashComposite.OrientationChangedEvent`, `SingleDeltaContainerEvent`, `ThrowableEvent`, `ValueEvent`

      public class Event
      extends java.util.EventObject
      implements IEvent

  A default implementation of an `event`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Event​(INotifier notifier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()` |
    `protected java.lang.String` | `formatEventName()` |
    `INotifier` | `getSource()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event​(INotifier notifier)

  - ### Method Detail

    - #### getSource

          public INotifier getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `java.util.EventObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

    - #### formatEventName

          protected java.lang.String formatEventName()

      Since:
        3.7

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Since:
        3.0